## org.apache.batik.gvt.flow
Class TextLineBreaks

    java.lang.Object
      org.apache.batik.gvt.flow.TextLineBreaks

    public class TextLineBreaks

extends java.lang.Object

Field Summary
`static byte` `BREAK_ACTION_DIRECT`
`static byte` `BREAK_ACTION_INDIRECT`
`static byte` `BREAK_ACTION_PROHIBITED`
`static java.lang.String[]` `brkStrs`
`static byte` `CHAR_CLASS_AI`
`static byte` `CHAR_CLASS_AL`
`static byte` `CHAR_CLASS_B2`
`static byte` `CHAR_CLASS_BA`
`static byte` `CHAR_CLASS_BB`
`static byte` `CHAR_CLASS_BK`
`static byte` `CHAR_CLASS_CB`
`static byte` `CHAR_CLASS_CL`
`static byte` `CHAR_CLASS_CM`
`static byte` `CHAR_CLASS_CR`
`static byte` `CHAR_CLASS_EX`
`static byte` `CHAR_CLASS_GL`
`static byte` `CHAR_CLASS_HY`
`static byte` `CHAR_CLASS_ID`
`static byte` `CHAR_CLASS_IN`
`static byte` `CHAR_CLASS_IS`
`static byte` `CHAR_CLASS_LF`
`static byte` `CHAR_CLASS_NS`
`static byte` `CHAR_CLASS_NU`
`static byte` `CHAR_CLASS_OP`
`static byte` `CHAR_CLASS_PO`
`static byte` `CHAR_CLASS_PR`
`static byte` `CHAR_CLASS_QU`
`static byte` `CHAR_CLASS_SA`
`static byte` `CHAR_CLASS_SG`
`static byte` `CHAR_CLASS_SP`
`static byte` `CHAR_CLASS_SY`
`static byte` `CHAR_CLASS_XX`
`static byte` `CHAR_CLASS_ZW`
`static char` `CHAR_ZERO_WIDTH_JOINER`
`static java.lang.String[]` `clsStrs`
`static java.text.AttributedCharacterIterator.Attribute` `FLOW_LINE_BREAK`
`static java.text.AttributedCharacterIterator.Attribute` `FLOW_PARAGRAPH`
`protected static int` `QUICK_LUT_SIZE`
`static java.text.AttributedCharacterIterator.Attribute` `WORD_LIMIT`

Constructor Summary
`TextLineBreaks()`

Method Summary
`protected static void` `buildQuickLut()`
`static void` `findLineBrk(java.text.AttributedString as)`
`static byte` `getCharCharClass(char ch)`
`static byte[]` `stringToLineBreakClasses(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WORD_LIMIT

    public static final java.text.AttributedCharacterIterator.Attribute WORD_LIMIT

### FLOW_PARAGRAPH

    public static final java.text.AttributedCharacterIterator.Attribute FLOW_PARAGRAPH

### FLOW_LINE_BREAK

    public static final java.text.AttributedCharacterIterator.Attribute FLOW_LINE_BREAK

### CHAR_ZERO_WIDTH_JOINER

    public static final char CHAR_ZERO_WIDTH_JOINER

See Also:
  Constant Field Values

### QUICK_LUT_SIZE

    protected static final int QUICK_LUT_SIZE

See Also:
  Constant Field Values

### BREAK_ACTION_DIRECT

    public static final byte BREAK_ACTION_DIRECT

See Also:
  Constant Field Values

### BREAK_ACTION_INDIRECT

    public static final byte BREAK_ACTION_INDIRECT

See Also:
  Constant Field Values

### BREAK_ACTION_PROHIBITED

    public static final byte BREAK_ACTION_PROHIBITED

See Also:
  Constant Field Values

### brkStrs

    public static final java.lang.String[] brkStrs

### CHAR_CLASS_OP

    public static final byte CHAR_CLASS_OP

See Also:
  Constant Field Values

### CHAR_CLASS_CL

    public static final byte CHAR_CLASS_CL

See Also:
  Constant Field Values

### CHAR_CLASS_QU

    public static final byte CHAR_CLASS_QU

See Also:
  Constant Field Values

### CHAR_CLASS_GL

    public static final byte CHAR_CLASS_GL

See Also:
  Constant Field Values

### CHAR_CLASS_NS

    public static final byte CHAR_CLASS_NS

See Also:
  Constant Field Values

### CHAR_CLASS_EX

    public static final byte CHAR_CLASS_EX

See Also:
  Constant Field Values

### CHAR_CLASS_SY

    public static final byte CHAR_CLASS_SY

See Also:
  Constant Field Values

### CHAR_CLASS_IS

    public static final byte CHAR_CLASS_IS

See Also:
  Constant Field Values

### CHAR_CLASS_PR

    public static final byte CHAR_CLASS_PR

See Also:
  Constant Field Values

### CHAR_CLASS_PO

    public static final byte CHAR_CLASS_PO

See Also:
  Constant Field Values

### CHAR_CLASS_NU

    public static final byte CHAR_CLASS_NU

See Also:
  Constant Field Values

### CHAR_CLASS_AL

    public static final byte CHAR_CLASS_AL

See Also:
  Constant Field Values

### CHAR_CLASS_ID

    public static final byte CHAR_CLASS_ID

See Also:
  Constant Field Values

### CHAR_CLASS_IN

    public static final byte CHAR_CLASS_IN

See Also:
  Constant Field Values

### CHAR_CLASS_HY

    public static final byte CHAR_CLASS_HY

See Also:
  Constant Field Values

### CHAR_CLASS_BA

    public static final byte CHAR_CLASS_BA

See Also:
  Constant Field Values

### CHAR_CLASS_BB

    public static final byte CHAR_CLASS_BB

See Also:
  Constant Field Values

### CHAR_CLASS_B2

    public static final byte CHAR_CLASS_B2

See Also:
  Constant Field Values

### CHAR_CLASS_ZW

    public static final byte CHAR_CLASS_ZW

See Also:
  Constant Field Values

### CHAR_CLASS_CM

    public static final byte CHAR_CLASS_CM

See Also:
  Constant Field Values

### CHAR_CLASS_SA

    public static final byte CHAR_CLASS_SA

See Also:
  Constant Field Values

### CHAR_CLASS_SP

    public static final byte CHAR_CLASS_SP

See Also:
  Constant Field Values

### CHAR_CLASS_BK

    public static final byte CHAR_CLASS_BK

See Also:
  Constant Field Values

### CHAR_CLASS_AI

    public static final byte CHAR_CLASS_AI

See Also:
  Constant Field Values

### CHAR_CLASS_CR

    public static final byte CHAR_CLASS_CR

See Also:
  Constant Field Values

### CHAR_CLASS_LF

    public static final byte CHAR_CLASS_LF

See Also:
  Constant Field Values

### CHAR_CLASS_SG

    public static final byte CHAR_CLASS_SG

See Also:
  Constant Field Values

### CHAR_CLASS_XX

    public static final byte CHAR_CLASS_XX

See Also:
  Constant Field Values

### CHAR_CLASS_CB

    public static final byte CHAR_CLASS_CB

See Also:
  Constant Field Values

### clsStrs

    public static final java.lang.String[] clsStrs

Constructor Detail

### TextLineBreaks

    public TextLineBreaks()

Method Detail

### findLineBrk

    public static void findLineBrk(java.text.AttributedString as)

### stringToLineBreakClasses

    public static byte[] stringToLineBreakClasses(java.lang.String s)

### getCharCharClass

    public static byte getCharCharClass(char ch)

### buildQuickLut

    protected static void buildQuickLut()

Copyright © 2008 Apache Software Foundation. All Rights Reserved.